summaryrefslogtreecommitdiff
path: root/package/base-files/extra/etc
diff options
context:
space:
mode:
authorWaldemar Brodkorb <wbx@openadk.org>2009-05-31 16:47:59 +0200
committerWaldemar Brodkorb <wbx@openadk.org>2009-05-31 16:47:59 +0200
commitb988bc81d7d5881042242bd31478823b3f904b48 (patch)
tree2cdbdd3bd9bdf37968ceab0797cef45cd54b24e1 /package/base-files/extra/etc
parentc3fbeed8234d660b713b9dcdb3cdb80e1e7ff804 (diff)
remove to extra to avoid installing package metafiles
Diffstat (limited to 'package/base-files/extra/etc')
-rw-r--r--package/base-files/extra/etc/banner1
-rw-r--r--package/base-files/extra/etc/functions.sh79
-rw-r--r--package/base-files/extra/etc/group3
-rw-r--r--package/base-files/extra/etc/hosts2
-rw-r--r--package/base-files/extra/etc/init.d/boot27
-rw-r--r--package/base-files/extra/etc/init.d/done4
-rwxr-xr-xpackage/base-files/extra/etc/init.d/rcK21
-rwxr-xr-xpackage/base-files/extra/etc/init.d/rcS10
-rw-r--r--package/base-files/extra/etc/inittab4
-rw-r--r--package/base-files/extra/etc/mdev.conf11
-rw-r--r--package/base-files/extra/etc/modules1
-rw-r--r--package/base-files/extra/etc/network/interfaces2
-rw-r--r--package/base-files/extra/etc/passwd3
-rw-r--r--package/base-files/extra/etc/profile12
-rw-r--r--package/base-files/extra/etc/protocols45
-rw-r--r--package/base-files/extra/etc/rc.conf3
-rw-r--r--package/base-files/extra/etc/shadow3
-rw-r--r--package/base-files/extra/etc/sysctl.conf0
18 files changed, 231 insertions, 0 deletions
diff --git a/package/base-files/extra/etc/banner b/package/base-files/extra/etc/banner
new file mode 100644
index 000000000..49dbb9685
--- /dev/null
+++ b/package/base-files/extra/etc/banner
@@ -0,0 +1 @@
+ Linux created with OpenADK
diff --git a/package/base-files/extra/etc/functions.sh b/package/base-files/extra/etc/functions.sh
new file mode 100644
index 000000000..4d225b882
--- /dev/null
+++ b/package/base-files/extra/etc/functions.sh
@@ -0,0 +1,79 @@
+# newline
+N="
+"
+
+append() {
+ local var="$1"
+ local value="$2"
+ local sep="${3:- }"
+
+ eval "export -- \"$var=\${$var:+\${$var}\${value:+\$sep}}\$value\""
+}
+
+load_modules() {
+ (sed "s,^[^#][^[:space:]]*,insmod /lib/modules/$(uname -r)/&.ko," $* | sh 2>&- || :)
+}
+
+user_exists() {
+ grep -q "^$1:" $IPKG_INSTROOT/etc/passwd 2>&-
+}
+
+group_exists() {
+ grep -q "^$1:" $IPKG_INSTROOT/etc/group 2>&-
+}
+
+service_exists() {
+ grep -q "^$1[[:space:]]*$2" $IPKG_INSTROOT/etc/services 2>&-
+}
+
+rcconf_exists() {
+ grep -q "^#*$1=" $IPKG_INSTROOT/etc/rc.conf 2>&-
+}
+
+add_user() {
+ user_exists $1 || {
+ echo "adding user $1 to /etc/passwd"
+ echo "$1:x:$2:${3:-$2}:$1:${4:-/tmp}:${5:-/bin/false}" \
+ >>$IPKG_INSTROOT/etc/passwd
+ }
+}
+
+add_group() {
+ group_exists $1 || {
+ echo "adding group $1 to /etc/group"
+ echo "$1:x:$2:$3" >>$IPKG_INSTROOT/etc/group
+ }
+}
+
+add_service() {
+ service_exists $1 $2 || {
+ echo "adding service $1 to /etc/services"
+ printf '%s\t%s\n' "$1" "$2" >>$IPKG_INSTROOT/etc/services
+ }
+}
+
+add_rcconf() {
+ rcconf_exists ${2-$1} || {
+ echo "adding service ${2-$1} to /etc/rc.conf"
+ printf '%s\t\t# %s\n' "${2:-$1}=${3:-NO}" "$1" \
+ >>$IPKG_INSTROOT/etc/rc.conf
+ }
+}
+
+get_next_uid() {
+ uid=1
+ while grep "^[^:]*:[^:]*:$uid:" $IPKG_INSTROOT/etc/passwd \
+ >/dev/null 2>&1; do
+ let uid++
+ done
+ echo $uid
+}
+
+get_next_gid() {
+ gid=1
+ while grep "^[^:]*:[^:]*:$gid:" $IPKG_INSTROOT/etc/group \
+ >/dev/null 2>&1; do
+ let gid++
+ done
+ echo $gid
+}
diff --git a/package/base-files/extra/etc/group b/package/base-files/extra/etc/group
new file mode 100644
index 000000000..1f444a8bf
--- /dev/null
+++ b/package/base-files/extra/etc/group
@@ -0,0 +1,3 @@
+root:x:0:
+admin:x:100:
+nogroup:x:65534:
diff --git a/package/base-files/extra/etc/hosts b/package/base-files/extra/etc/hosts
new file mode 100644
index 000000000..87d837fc7
--- /dev/null
+++ b/package/base-files/extra/etc/hosts
@@ -0,0 +1,2 @@
+::1 localhost
+127.0.0.1 localhost
diff --git a/package/base-files/extra/etc/init.d/boot b/package/base-files/extra/etc/init.d/boot
new file mode 100644
index 000000000..f71e46240
--- /dev/null
+++ b/package/base-files/extra/etc/init.d/boot
@@ -0,0 +1,27 @@
+#!/bin/sh
+#INIT 10
+[[ $1 = autostart ]] || exit 0
+
+. /etc/functions.sh
+
+mkdir -p /var/log
+mkdir -p /var/run
+touch /var/log/lastlog
+touch /var/log/wtmp
+ln -s /var/tmp /tmp
+
+echo 0 > /proc/sys/kernel/printk
+
+HOSTNAME=
+[[ -s /etc/hostname ]] && HOSTNAME=$(cat /etc/hostname)
+HOSTNAME=${HOSTNAME%%.*}
+echo ${HOSTNAME:=linux} >/proc/sys/kernel/hostname
+
+chown 0:0 /tmp; chmod 1777 /tmp
+
+load_modules /etc/modules
+for f in /etc/modules.d/*; do
+ [[ -e $f ]] && load_modules /etc/modules.d/*
+ break
+done
+exit 0
diff --git a/package/base-files/extra/etc/init.d/done b/package/base-files/extra/etc/init.d/done
new file mode 100644
index 000000000..e5b655bb6
--- /dev/null
+++ b/package/base-files/extra/etc/init.d/done
@@ -0,0 +1,4 @@
+#!/bin/sh
+#INIT 98
+[[ $1 = autostart ]] && sysctl -p >&-
+exit 0
diff --git a/package/base-files/extra/etc/init.d/rcK b/package/base-files/extra/etc/init.d/rcK
new file mode 100755
index 000000000..e94d1a296
--- /dev/null
+++ b/package/base-files/extra/etc/init.d/rcK
@@ -0,0 +1,21 @@
+#!/bin/sh
+export PATH=/bin:/sbin:/usr/bin:/usr/sbin
+busybox reboot -d 60 -f & # just in caseā€¦
+{
+ [[ -f /proc/diag/led/power ]] && echo f >/proc/diag/led/power
+ test -e /etc/rc.shutdown && (/bin/sh /etc/rc.shutdown) 2>&1
+ grep '^#INIT ' /etc/init.d/* | \
+ sort -rnk2 | \
+ while read line; do
+ shebang=$(sed -n '1s/^#![ ]*//p' ${line%%:*})
+ case $shebang in
+ *[\ \ ]*) shebang=\'$(echo X"$shebang" | sed \
+ -e 's/^X//' -e "s/'/'\\\\''/g" \
+ -e 's/^\([^ ][^ ]*\)[ ]*$/\1/' \
+ -e 's/^\([^ ][^ ]*\)[ ][ ]*\(..*\)$/\1 \2/' \
+ -e 's/^\([^ ][^ ]*\) /\1'\'' '\''/')\' ;;
+ esac
+ ${shebang:-/bin/sh} ${line%%:*} autostop 2>&1
+ done
+ [[ -f /proc/diag/led/power ]] && echo 0 >/proc/diag/led/power
+} | logger -s -p 6 -t ''
diff --git a/package/base-files/extra/etc/init.d/rcS b/package/base-files/extra/etc/init.d/rcS
new file mode 100755
index 000000000..fd56feebf
--- /dev/null
+++ b/package/base-files/extra/etc/init.d/rcS
@@ -0,0 +1,10 @@
+#!/bin/sh
+export PATH=/bin:/sbin:/usr/bin:/usr/sbin
+{
+ grep '^#INIT ' /etc/init.d/* | \
+ sort -nk2 | \
+ while read line; do
+ /bin/sh ${line%%:*} autostart 2>&1
+ done
+ test -e /etc/init.d/boot.local && (/bin/sh /etc/init.d/boot.local) 2>&1
+} | logger -s -p 6 -t '' &
diff --git a/package/base-files/extra/etc/inittab b/package/base-files/extra/etc/inittab
new file mode 100644
index 000000000..960ea77d8
--- /dev/null
+++ b/package/base-files/extra/etc/inittab
@@ -0,0 +1,4 @@
+::sysinit:/etc/init.d/rcS
+::shutdown:/etc/init.d/rcK
+ttyS0::respawn:/sbin/getty -i -L ttyS0 115200 vt100
+
diff --git a/package/base-files/extra/etc/mdev.conf b/package/base-files/extra/etc/mdev.conf
new file mode 100644
index 000000000..61b818523
--- /dev/null
+++ b/package/base-files/extra/etc/mdev.conf
@@ -0,0 +1,11 @@
+tun 0:0 660 >net/tun
+null 0:0 777
+zero 0:0 666
+console 0:0 0600
+kmem 0:0 000
+mem 0:0 0640
+port 0:0 0640
+ptmx 0:0 666
+tty 0:0 0660
+ttyS* 0:0 640
+.* 0:0 644 @/lib/mdev/init
diff --git a/package/base-files/extra/etc/modules b/package/base-files/extra/etc/modules
new file mode 100644
index 000000000..014f40f2b
--- /dev/null
+++ b/package/base-files/extra/etc/modules
@@ -0,0 +1 @@
+# add modules to load on startup here
diff --git a/package/base-files/extra/etc/network/interfaces b/package/base-files/extra/etc/network/interfaces
new file mode 100644
index 000000000..f1bd92ed2
--- /dev/null
+++ b/package/base-files/extra/etc/network/interfaces
@@ -0,0 +1,2 @@
+auto lo
+iface lo inet loopback
diff --git a/package/base-files/extra/etc/passwd b/package/base-files/extra/etc/passwd
new file mode 100644
index 000000000..87eee84af
--- /dev/null
+++ b/package/base-files/extra/etc/passwd
@@ -0,0 +1,3 @@
+root:x:0:0:root:/root:/bin/sh
+admin:x:100:100:admin:/tmp:/bin/sh
+nobody:*:65534:65534:nobody:/var:/bin/false
diff --git a/package/base-files/extra/etc/profile b/package/base-files/extra/etc/profile
new file mode 100644
index 000000000..55002b01f
--- /dev/null
+++ b/package/base-files/extra/etc/profile
@@ -0,0 +1,12 @@
+export PATH=/bin:/sbin:/usr/bin:/usr/sbin
+if [[ $(id -u) = 0 ]]; then
+ export PS1='# '
+else
+ export PS1='$ '
+fi
+export HOME=/tmp
+cat /etc/banner 2>&-
+[ -x /usr/bin/less ] || alias less=more
+[ -x /usr/bin/vim ] || alias vim=vi
+[ -x /usr/bin/arp ] || arp() { cat /proc/net/arp; }
+[ -x /usr/bin/ldd ] || ldd() { LD_TRACE_LOADED_OBJECTS=1 /lib/ld.so "$@"; }
diff --git a/package/base-files/extra/etc/protocols b/package/base-files/extra/etc/protocols
new file mode 100644
index 000000000..dfe58ed22
--- /dev/null
+++ b/package/base-files/extra/etc/protocols
@@ -0,0 +1,45 @@
+ip 0 IP
+icmp 1 ICMP
+igmp 2 IGMP
+ggp 3 GGP
+ipencap 4 IP-ENCAP
+st 5 ST
+tcp 6 TCP
+egp 8 EGP
+igp 9 IGP
+pup 12 PUP
+udp 17 UDP
+hmp 20 HMP
+xns-idp 22 XNS-IDP
+rdp 27 RDP
+iso-tp4 29 ISO-TP4
+xtp 36 XTP
+ddp 37 DDP
+idpr-cmtp 38 IDPR-CMTP
+ipv6 41 IPv6
+ipv6-route 43 IPv6-Route
+ipv6-frag 44 IPv6-Frag
+idrp 45 IDRP
+rsvp 46 RSVP
+gre 47 GRE
+esp 50 IPSEC-ESP
+ah 51 IPSEC-AH
+skip 57 SKIP
+ipv6-icmp 58 IPv6-ICMP
+ipv6-nonxt 59 IPv6-NoNxt
+ipv6-opts 60 IPv6-Opts
+rspf 73 RSPF CPHB
+vmtp 81 VMTP
+eigrp 88 EIGRP
+ospf 89 OSPFIGP
+ax.25 93 AX.25
+ipip 94 IPIP
+etherip 97 ETHERIP
+encap 98 ENCAP
+pim 103 PIM
+ipcomp 108 IPCOMP
+vrrp 112 VRRP
+l2tp 115 L2TP
+isis 124 ISIS
+sctp 132 SCTP
+fc 133 FC
diff --git a/package/base-files/extra/etc/rc.conf b/package/base-files/extra/etc/rc.conf
new file mode 100644
index 000000000..024007589
--- /dev/null
+++ b/package/base-files/extra/etc/rc.conf
@@ -0,0 +1,3 @@
+# set variables service=YES|NO (YES to enable, NO to disable)
+# set variables service_flags="X" (NO to disable the service)
+# note: for flags, X can be empty
diff --git a/package/base-files/extra/etc/shadow b/package/base-files/extra/etc/shadow
new file mode 100644
index 000000000..3683d71ea
--- /dev/null
+++ b/package/base-files/extra/etc/shadow
@@ -0,0 +1,3 @@
+root:$1$8sJkb6fV$46vEIu5ntmbUuljmr55zY/:14191:0:::::
+admin:$1$8sJkb6fV$46vEIu5ntmbUuljmr55zY/:14191:0:::::
+nobody:*:9797:0:::::
diff --git a/package/base-files/extra/etc/sysctl.conf b/package/base-files/extra/etc/sysctl.conf
new file mode 100644
index 000000000..e69de29bb
--- /dev/null
+++ b/package/base-files/extra/etc/sysctl.conf